/*
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 1, or (at your option)
** any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __IA_TRAY_ICON_H__
#define __IA_TRAY_ICON_H__

#include <QSystemTrayIcon>

class IATrayIcon : public QSystemTrayIcon {

    Q_OBJECT

    public:
        IATrayIcon(QIcon & online, QIcon & offline, QObject * parent = 0);
        virtual ~IATrayIcon();

    public slots:
        void setState(bool state);

    private:
        QIcon & onlineIcon;
        QIcon & offlineIcon;
};

#endif
